//Copyright (c) 1997 The Open Group
//
//Permission to use, copy, modify, and distribute this software and its documentation for
//any purpose and without fee is hereby granted, provided that the above copyright notice
//appears in all copies and that both the copyright notice and this permission notice
//appear in supporting documentation, and that the name of ("TOG") or The Open Group not
//be used in advertising or publicity pertaining to distribution of the software without
//specific, written prior permission.
//
//THE OPEN GROUP DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
//IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT
//SHALL TOG BE LIABLE FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
//WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT,
//NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
//PERFORMANCE OF THIS SOFTWARE. 

/* 
 * ORG.opengroup.awt.TextAreaDialog version 0.1
 * by Bill la Forge
 * http://www.opengroup.org/~laforge
 */
     

package ORG.opengroup.awt;
import ORG.opengroup.misc.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A Dialog which displays a row of buttons below a
 * non-editable text area.
 */
public class TextAreaDialog extends ButtonDialog
{
	/**
	 * Construct the dialog. To allow subclassing, show() is not called.
	 * @param parent		The parent frame.
	 * @param title		Window title.
	 * @param x			x-location of the dialog.
	 * @param y			y-location of the dialog.
	 * @param txt		Text used to initialized the text area.
	 * @param buttonLabels	Button labels, one button per line.
	 */
	public TextAreaDialog(
		Frame parent, 
		String title, 
		int x, 
		int y,
		String txt,
		String buttonLabels)
	{
		super(parent,title,x,y,buttonLabels);
		Line lnt=new Line(txt);
		TextArea text=new TextArea(txt,lnt.getHeight(),
			lnt.getWidth(),TextArea.SCROLLBARS_NONE);
		text.setEditable(false);
		add("North",text);
		pack();
	}
}
