//Copyright (c) 1998 The Open Group
//
//Permission to use, copy, modify, and distribute this software and its documentation for
//any purpose and without fee is hereby granted, provided that the above copyright notice
//appears in all copies and that both the copyright notice and this permission notice
//appear in supporting documentation, and that the name of ("TOG") or The Open Group not
//be used in advertising or publicity pertaining to distribution of the software without
//specific, written prior permission.
//
//THE OPEN GROUP DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
//IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT
//SHALL TOG BE LIABLE FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
//WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT,
//NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
//PERFORMANCE OF THIS SOFTWARE. 

package ORG.opengroup.xface;
import ORG.opengroup.jar.*;
import java.util.*;

/**
 */
public class XObjImpl implements XObj
{
	private String type="";
	private XFace xFace=null;
	private Hashtable atts=new Hashtable();
	private Vector contents=new Vector();

	public String getType()
	{
		return type;
	}

	public void setType(String type)
	{
		this.type=type;
	}
	public XFace getXFace()
	{
		return xFace;
	}

	public void setXFace(XFace xFace)
	{
		this.xFace=xFace;
	}

	public boolean isEmpty()
	{
		return contents==null;
	}

	public boolean getEmpty()
	{
		return contents==null;
	}

	public void setEmpty(boolean empty)
	{
		if (empty)
			contents=null;
		else if (contents==null)
			contents=new Vector();
	}

	public String getAtt(String attName)
	{
		return (String)atts.get(attName);
	}

	public void putAtt(String attName, String attValue)
	{
		atts.put(attName,attValue);
	}

	public void removeAtt(String attName)
	{
		atts.remove(attName);
	}

	public Vector getContents()
	{
		return contents;
	}
	public String toString()
	{
		if (xFace!=null)
			xFace.refreshXObj();
		String rv="<"+type;
		if (contents==null)
			rv+="/";
		Enumeration ae=atts.keys();
		while(ae.hasMoreElements())
		{
			String attName=(String)ae.nextElement();
			String attValue=getAtt(attName);
			rv+=" "+attName+"=\""+attValue+"\"";
		}
		rv+=">";
		if (contents==null)
			return rv;
		int i;
		for (i=0;i<contents.size();++i)
			rv+=contents.elementAt(i).toString();
		rv+="</"+type+">";
		return rv;
	}
}